import request from '@/utils/request'
// 查询档案列表
export function regonlist(query) {
  return request({
    url: '/pipe/profilesRecognition/list',
    method: 'get',
    params: query
  })
}
//查询用户列表
export function regonlayerUsers(profilesId) {
  return request({
    url: '/pipe/profilesRecognition/layerAuthUsers/'+profilesId,
    method: 'get',

  })
}
//查询档案已授权用户
export function regonauthUserGet(profilesId) {
  return request({
    url: '/pipe/profilesRecognition/authUser/'+profilesId,
    method: 'get',

  })
}
//档案授权
export function regonauthUserPut(data) {
  return request({
    url: '/pipe/profilesRecognition/authUser',
    method: 'PUT',
    data:data


  })
}
//删除档案
export function regonprofilesDel(ids) {
  return request({
    url: '/pipe/profilesRecognition/'+ids,
    method: 'DELETE',
  })
}
// 查询档案列表
export function linelist(query) {
  return request({
    url: '/pipe/profilesPipeline/list',
    method: 'get',
    params: query
  })
}
//查询用户列表
export function linelayerUsers(profilesId) {
  return request({
    url: '/pipe/profilesPipeline/layerAuthUsers/'+profilesId,
    method: 'get',

  })
}
//查询档案已授权用户
export function lineauthUserGet(profilesId) {
  return request({
    url: '/pipe/profilesPipeline/authUser/'+profilesId,
    method: 'get',

  })
}
//档案授权
export function lineauthUserPut(data) {
  return request({
    url: '/pipe/profilesPipeline/authUser',
    method: 'PUT',
    data:data


  })
}
//删除档案
export function lineprofilesDel(ids) {
  return request({
    url: '/pipe/profilesPipeline/'+ids,
    method: 'DELETE',
  })
}
